%define	xfontdir_	%{_datadir}/fonts/ja
%define	xfontdir	%{xfontdir_}/TrueType
%define	gslibdir	%{_datadir}/ghostscript/%(echo `gs --version`)/lib
%define	gsver		7.07

%define fonts		ipa-fonts

Name:		ttfonts-ja
Version:	2.0
Release:	b1
License:	Distributable
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

## Original fonts is here
Source0:	%{fonts}.tar.bz2
#Source2:	fonts.alias.kk
#Source3:	CIDFnmap.ja

BuildRequires:	ghostscript >= %{gsver}
BuildRequires:	VFlib2
Requires(post,postun): /usr/sbin/chkfontpath /usr/X11R6/bin/mkfontdir
Requires(post,postun): ttmkfdir >= 3.0.6
# The post and postun scripts use fc-cache, from the fontconfig package
Requires(post,postun): fontconfig

Summary: Free Japanese TrueType fonts
%description
This package provides free Japanese TrueType fonts, and includes
ttindex files for VFlib.

%prep
%setup -q -c

%build
#pushd %{fonts}
#ttindex *.ttf
#popd

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

pushd %{fonts}
install -d $RPM_BUILD_ROOT%{xfontdir}
#install -m 0644 *.{ttf,tti} $RPM_BUILD_ROOT%{xfontdir}/
install -m 0644 *.ttf $RPM_BUILD_ROOT%{xfontdir}/
#install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{xfontdir}/fonts.alias
popd

# for ghostscript
install -d $RPM_BUILD_ROOT%{gslibdir}
#install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{gslibdir}/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
{
	touch %{xfontdir} 2> /dev/null && {
		/usr/bin/ttmkfdir -d %{xfontdir} -o %{xfontdir}/fonts.scale
		/usr/X11R6/bin/mkfontdir %{xfontdir}

		/usr/sbin/chkfontpath -q -a %{xfontdir}

	}

	touch %{_sysconfdir} 2> /dev/null && {
		if [ -x /usr/bin/redhat-update-gnome-font-install ]; then
			/usr/bin/redhat-update-gnome-font-install
		fi
		if [ -x /usr/bin/redhat-update-gnome-font-install2 ]; then
			/usr/bin/redhat-update-gnome-font-install2
		fi
	}
	HOME=/ fc-cache 2>/dev/null
}

%postun
{
	if [ "$1" = "0" ];
	then
		/usr/sbin/chkfontpath -q -r %{xfontdir}

		touch %{_sysconfdir} 2> /dev/null && {
			if [ -x /usr/bin/redhat-update-gnome-font-install ]; then
				/usr/bin/redhat-update-gnome-font-install
			fi
			if [ -x /usr/bin/redhat-update-gnome-font-install2 ]; then
				/usr/bin/redhat-update-gnome-font-install2
			fi
		}
	fi

	HOME=/ fc-cache 2>/dev/null
}

%files
%defattr(-,root,root)
#%doc %{fonts}/{COPYING,README.ja,README.RedHat} %{fonts}/docs
%dir %{xfontdir_}
%dir %{xfontdir}
#%config %{xfontdir}/fonts.alias
%{xfontdir}/*ttf
#%{xfontdir}/*tti
#%{gslibdir}/CIDFnmap.ja

%changelog
* Mon Nov 1 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
